# EllipsoidGraphics

#### new Cesium.EllipsoidGraphics(options)
DataSources/EllipsoidGraphics.js 42

  Describe an ellipsoid or sphere. The center position and orientation are determined by the containing `Entity`.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `radii` | Property |  | optional A `Cartesian3` Property specifying the radii of the ellipsoid.
  `show` | Property | `true` | optional A boolean Property specifying the visibility of the ellipsoid.
  `fill` | Property | `true` | optional A boolean Property specifying whether the ellipsoid is filled with the provided material.
  `material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to fill the ellipsoid.
  `outline` | Property | `false` | optional A boolean Property specifying whether the ellipsoid is outlined.
  `outlineColor` | Property | `Color.BLACK` | optional A Property specifying the `Color` of the outline.
  `outlineWidth` | Property | `1.0` | optional A numeric Property specifying the width of the outline.
  `subdivisions` | Property | `128` | optional A Property specifying the number of samples per outline ring, determining the granularity of the curvature.
  `stackPartitions` | Property | `64` | optional A Property specifying the number of stacks.
  `slicePartitions` | Property | `64` | optional A Property specifying the number of radial slices.
  `shadows` | Property | `ShadowMode.DISABLED` | optional An enum Property specifying whether the ellipsoid casts or receives shadows from each light source.
  `distanceDisplayCondition` | Property |  | optional A Property specifying at what distance from the camera that this ellipsoid will be displayed.

  ##### Demo:

  - Cesium Sandcastle Spheres and Ellipsoids Demo

### Members

#### readonlydefinitionChanged : Event
DataSources/EllipsoidGraphics.js 80

  Gets the event that is raised whenever a property or sub-property is changed or modified.

#### distanceDisplayCondition : Property
DataSources/EllipsoidGraphics.js 179

  Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this ellipsoid will be displayed.

#### fill : Property
DataSources/EllipsoidGraphics.js 115

  Gets or sets the boolean Property specifying whether the ellipsoid is filled with the provided material.
  Default Value: `true`

#### material : MaterialProperty
DataSources/EllipsoidGraphics.js 107

  Gets or sets the Property specifying the material used to fill the ellipsoid.
  Default Value: `Color.WHITE`

#### outline : Property
DataSources/EllipsoidGraphics.js 123

  Gets or sets the Property specifying whether the ellipsoid is outlined.
  Default Value: `false`

#### outlineColor : Property
DataSources/EllipsoidGraphics.js 131

  Gets or sets the Property specifying the `Color` of the outline.
  Default Value: `Color.BLACK`

#### outlineWidth : Property
DataSources/EllipsoidGraphics.js 139

  Gets or sets the numeric Property specifying the width of the outline.
  Default Value: `1.0`

#### radii : Property
DataSources/EllipsoidGraphics.js 99

  Gets or sets the `Cartesian3` `Property` specifying the radii of the ellipsoid.

#### shadows : Property
DataSources/EllipsoidGraphics.js 172

  Get or sets the enum Property specifying whether the ellipsoid casts or receives shadows from each light source.
  Default Value: `ShadowMode.DISABLED`

#### show : Property
DataSources/EllipsoidGraphics.js 92

  Gets or sets the boolean Property specifying the visibility of the ellipsoid.
  Default Value: `true`

#### slicePartitions : Property
DataSources/EllipsoidGraphics.js 155

  Gets or sets the Property specifying the number of radial slices.
  Default Value: `64`

#### stackPartitions : Property
DataSources/EllipsoidGraphics.js 147

  Gets or sets the Property specifying the number of stacks.
  Default Value: `64`

#### subdivisions : Property
DataSources/EllipsoidGraphics.js 163

  Gets or sets the Property specifying the number of samples per outline ring, determining the granularity of the curvature.
  Default Value: `128`

### Methods

#### clone(result) → EllipsoidGraphics
DataSources/EllipsoidGraphics.js 188

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | EllipsoidGraphics | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance if one was not provided.

#### merge(source)
DataSources/EllipsoidGraphics.js 214

  Assigns each unassigned property on this object to the value of the same property on the provided source object.

  Name | Type | Description
  --- | --- | ---
  `source` | EllipsoidGraphics | The object to be merged into this object.